org.apache.ignite.internal.util.lang

## Interface IgniteThrowableBiPredicate<T,U>

Type Parameters:
  `T` - the type of the first argument to the predicate
  `U` - the type of the second argument the predicate

All Superinterfaces:
  Serializable

    public interface IgniteThrowableBiPredicate<T,U>
    extends Serializable

Represents a predicate (boolean-valued function) of two arguments. Unlike `BiPredicate` it is able to throw `IgniteCheckedException`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `test(T t, U u)` Evaluates this predicate on the given arguments.

### Method Detail

#### test

    boolean test(T t,
                 U u)
          throws IgniteCheckedException

Evaluates this predicate on the given arguments.

Parameters:
  `t` - the first input argument
  `u` - the second input argument
Returns:
  `true` if the input arguments match the predicate, otherwise `false`
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022